	program ZAHBeep
	implicit none
	integer i, imax, iconv, iminconv, j
	character*300 file2, file3, file4
	integer MODN, KLIM, NITES
	double precision G, AGE6, TIME6, EIGFIN, SCMASS,TXMASS,HEMASS,SMIS1,SMIS2,HYC1,HYC2,CEMASS(500)
	double precision TELOG(500), BLOG(500), BHELOG(500), BHYLOG(500), GRAV(500), TMASS(500), CCMASS(500), HYMASS(500)
    	double precision BHYLOGaux, TMASSaux, BLOGaux, TELOGaux, GRAVaux, EnvMassaux, ConEnvMassaux, ConEnvMassPorcentualaux, EnvMassPorcentualaux

	double precision EnvMass(500), EnvMassPorcentual(500), ConEnvMass(500), ConEnvMassPorcentual(500), EnvMassPorcentual2(500)
	double precision TELOG2(500), BLOG2(500), GRAV2(500), TMASS2(500)

	  open(5,file='test')
	open(1,file='ZAHBtoEEP.dat')
      
	do
	  read(1,10,end=999) file2
	  read(1,10) file3
	  read(1,10) file4
	  open(2,file=file2)
	  open(3,file=file3)
	  open(4,file=file4)
	  i = 1
	  do
	    read(2,11,end=998) MODN, G, AGE6, TIME6, TELOG(i), BLOG(i), BHELOG(i), BHYLOG(i), GRAV(i), EIGFIN, KLIM, NITES
	    read(3,12) MODN, TMASS(i), CCMASS(i), SCMASS, TXMASS, HEMASS, SMIS1, SMIS2, HYMASS(i), HYC1, HYC2, CEMASS(i)
	    EnvMass(i) = TMASS(i) - HYMASS(i)
	    if (CEMASS(i).gt.0d0) then
	      ConEnvMass(i) = TMASS(i) - CEMASS(i)
	    else
	      ConEnvMass(i) = 0d0
	    end if
	    i = i + 1
	  end do
998	  imax = i - 1 

*	  write EEPs
	  i = 1
	  do while (ConEnvMass(i).gt.0) 
	    i = i + 1 
	  end do
	  iconv = i

	  do i = 1, imax
	    EnvMassPorcentual(i) = (EnvMass(i)-EnvMass(imax))/(EnvMass(1)-EnvMass(imax))
	  end do

	  do i = 1, iconv
	    ConEnvMassPorcentual(i) = ConEnvMass(i)/ConEnvMass(1)
	     write(5,505) i, iconv, imax, ConEnvMassPorcentual(i), ConEnvMass(i), ConEnvMass(1), file4
505	format(3i5, 3f15.8,5x,a)
	  end do
*	  write(5,*) TMASS(1), TMASS(iconv), EnvMassPorcentual(iconv)

	  ConEnvMassPorcentualaux = 1d0
	  write(4,105) AGE6, TMASS(1), BLOG(1), TELOG(1), GRAV(1), ConEnvMass(1), ConEnvMassPorcentualaux, iconv

	  do i = 31, 1, -1
	    ConEnvMassPorcentualaux = 0.001d0*i*i
	    call INTEP(ConEnvMassPorcentualaux, BLOGaux, ConEnvMassPorcentual, BLOG, iconv)
	    call INTEP(ConEnvMassPorcentualaux, TELOGaux, ConEnvMassPorcentual, TELOG, iconv)
	    call INTEP(ConEnvMassPorcentualaux, TMASSaux, ConEnvMassPorcentual, TMASS, iconv)
	    call INTEP(ConEnvMassPorcentualaux, GRAVaux, ConEnvMassPorcentual, GRAV, iconv)
	    call INTEP(ConEnvMassPorcentualaux, ConEnvMassaux, ConEnvMassPorcentual, ConEnvMass, iconv)
	    write(4,104) AGE6, TMASSaux, BLOGaux, TELOGaux, GRAVaux, ConEnvMassaux, ConEnvMassPorcentualaux
	  end do

	  ConEnvMassPorcentualaux = 0.0001d0
	  call INTEP(ConEnvMassPorcentualaux, BLOGaux, ConEnvMassPorcentual, BLOG, iconv)
	  call INTEP(ConEnvMassPorcentualaux, TELOGaux, ConEnvMassPorcentual, TELOG, iconv)
	  call INTEP(ConEnvMassPorcentualaux, TMASSaux, ConEnvMassPorcentual, TMASS, iconv)
	  call INTEP(ConEnvMassPorcentualaux, GRAVaux, ConEnvMassPorcentual, GRAV, iconv)
	  call INTEP(ConEnvMassPorcentualaux, ConEnvMassaux, ConEnvMassPorcentual, ConEnvMass, iconv)
	  write(4,104) AGE6, TMASSaux, BLOGaux, TELOGaux, GRAVaux, ConEnvMassaux, ConEnvMassPorcentualaux

	  ConEnvMassPorcentualaux = 0d0
	  call INTEP(ConEnvMassPorcentualaux, BLOGaux, ConEnvMassPorcentual, BLOG, iconv)
	  call INTEP(ConEnvMassPorcentualaux, TELOGaux, ConEnvMassPorcentual, TELOG, iconv)
	  call INTEP(ConEnvMassPorcentualaux, TMASSaux, ConEnvMassPorcentual, TMASS, iconv)
	  call INTEP(ConEnvMassPorcentualaux, GRAVaux, ConEnvMassPorcentual, GRAV, iconv)
	  call INTEP(ConEnvMassPorcentualaux, ConEnvMassaux, ConEnvMassPorcentual, ConEnvMass, iconv)
	  write(4,104) AGE6, TMASSaux, BLOGaux, TELOGaux, GRAVaux, ConEnvMassaux, ConEnvMassPorcentualaux

	  do i = iconv+1, imax
	    EnvMassPorcentual2(i-iconv) = (EnvMass(i)-EnvMass(imax))/(EnvMass(iconv)-EnvMass(imax))
	    BLOG2(i-iconv) = BLOG(i)
	    TELOG2(i-iconv) = TELOG(i)
	    TMASS2(i-iconv) = TMASS(i)
	    GRAV2(i-iconv) = GRAV(i)
	  end do
	  

	  do i = 99, 0, -1
	    EnvMassPorcentualaux = 0.0001d0*i*i
	    call INTEP(EnvMassPorcentualaux, BLOGaux, EnvMassPorcentual2, BLOG2, imax-iconv)
	    call INTEP(EnvMassPorcentualaux, TELOGaux, EnvMassPorcentual2, TELOG2, imax-iconv)
	    call INTEP(EnvMassPorcentualaux, TMASSaux, EnvMassPorcentual2, TMASS2, imax-iconv)
	    call INTEP(EnvMassPorcentualaux, GRAVaux, EnvMassPorcentual2, GRAV2, imax-iconv)
	    write(4,104) AGE6, TMASSaux, BLOGaux, TELOGaux, GRAVaux
	  end do


	  EnvMassPorcentualaux = 0.80
	  call INTEP(EnvMassPorcentualaux, BLOGaux, EnvMassPorcentual2, BLOG2, imax-iconv)
	  call INTEP(EnvMassPorcentualaux, TELOGaux, EnvMassPorcentual2, TELOG2, imax-iconv)
	  call INTEP(EnvMassPorcentualaux, TMASSaux, EnvMassPorcentual2, TMASS2, imax-iconv)
	  call INTEP(EnvMassPorcentualaux, GRAVaux, EnvMassPorcentual2, GRAV2, imax-iconv)
*	  write(4,104) AGE6, TMASSaux, BLOGaux, TELOGaux, GRAVaux

	  EnvMassPorcentualaux = 0.60
	  call INTEP(EnvMassPorcentualaux, BLOGaux, EnvMassPorcentual2, BLOG2, imax-iconv)
	  call INTEP(EnvMassPorcentualaux, TELOGaux, EnvMassPorcentual2, TELOG2, imax-iconv)
	  call INTEP(EnvMassPorcentualaux, TMASSaux, EnvMassPorcentual2, TMASS2, imax-iconv)
	  call INTEP(EnvMassPorcentualaux, GRAVaux, EnvMassPorcentual2, GRAV2, imax-iconv)
*	  write(4,104) AGE6, TMASSaux, BLOGaux, TELOGaux, GRAVaux

	  EnvMassPorcentualaux = 0.40
	  call INTEP(EnvMassPorcentualaux, BLOGaux, EnvMassPorcentual2, BLOG2, imax-iconv)
	  call INTEP(EnvMassPorcentualaux, TELOGaux, EnvMassPorcentual2, TELOG2, imax-iconv)
	  call INTEP(EnvMassPorcentualaux, TMASSaux, EnvMassPorcentual2, TMASS2, imax-iconv)
	  call INTEP(EnvMassPorcentualaux, GRAVaux, EnvMassPorcentual2, GRAV2, imax-iconv)
*	  write(4,104) AGE6, TMASSaux, BLOGaux, TELOGaux, GRAVaux

	  EnvMassPorcentualaux = 0.20
	  call INTEP(EnvMassPorcentualaux, BLOGaux, EnvMassPorcentual2, BLOG2, imax-iconv)
	  call INTEP(EnvMassPorcentualaux, TELOGaux, EnvMassPorcentual2, TELOG2, imax-iconv)
	  call INTEP(EnvMassPorcentualaux, TMASSaux, EnvMassPorcentual2, TMASS2, imax-iconv)
	  call INTEP(EnvMassPorcentualaux, GRAVaux, EnvMassPorcentual2, GRAV2, imax-iconv)
*	  write(4,104) AGE6, TMASSaux, BLOGaux, TELOGaux, GRAVaux

	  EnvMassPorcentualaux = 0.00
	  call INTEP(EnvMassPorcentualaux, BLOGaux, EnvMassPorcentual2, BLOG2, imax-iconv)
	  call INTEP(EnvMassPorcentualaux, TELOGaux, EnvMassPorcentual2, TELOG2, imax-iconv)
	  call INTEP(EnvMassPorcentualaux, TMASSaux, EnvMassPorcentual2, TMASS2, imax-iconv)
	  call INTEP(EnvMassPorcentualaux, GRAVaux, EnvMassPorcentual2, GRAV2, imax-iconv)
*	  write(4,104) AGE6, TMASSaux, BLOGaux, TELOGaux, GRAVaux

	  close(2)
	  close(3)
	end do
999	close(1)
*	write(5,*) ' '

10	format(a)
11	FORMAT (I7,F10.5,2F18.10,6F11.6,2I4)
12	FORMAT (I7,F12.8,6F10.6,3F12.8,F10.6)
13	FORMAT (I7,8F10.6,F10.5,2F12.8,F15.7)
104	format(12f17.8)
105	format(7f17.8, i5)
      end 
	include '/home/avalcarc/WebPage/ProgramsExtra/INTEP2.f'